---
import Layout from "../layouts/Layout.astro";
import Navbar from "../components/navigation/Navbar.astro";
import ProjectCard from "../components/ProjectCard.astro";
import projects from "../data/projects.json";
---

<Layout title="Projects - Jesse Vordzorgbe">
    <Navbar />
    <header class="px-6 sm:pt-10">
        <h1 class="mb-3 text-3xl font-bold text-zinc-200 sm:text-4xl">Projects</h1>
        <p>I love exploring different libraries and frameworks, here's some projects I've worked on.</p>
    </header>
    <main class="mt-5 px-6 sm:mt-10">
        <ul class="grid grid-cols-1 gap-y-4 sm:gap-y-8">
            {
                projects.map((project) => (
                    <ProjectCard
                        name={project.name}
                        description={project.description}
                        url={project.url}
                        tags={project.tags}
                    />
                ))
            }
        </ul>
    </main>
</Layout>
